Building jhbuild

Stephen R Laniel steve at laniels.org
Wed Jun 1 20:45:27 UTC 2005


I'm trying to install jhbuild under Breezy so that I can
install Luminocity [1], and I'm following the build
instructions. I did 'jhbuild sanitycheck' and got

automake-1.7 not found
automake-1.8 not found
Could not find DocBook XSL Stylesheets in XML catalog

The automake errors are fine, because I have automake-1.9.
But the stylesheets error is bugging me. I have all these
docbook packages installed:

docbook
docbook-dsssl
docbook-utils
docbook-xml
docbook-xsl

I have all these packages with 'xml' in their names:

docbook-xml
libxml-libxml-common-perl
libxml-libxml-perl
libxml-namespacesupport-perl
libxml-parser-perl
libxml-parser-ruby1.8
libxml-sax-perl
libxml1
libxml2
libxml2-dev
libxml2-python2.3
libxml2-utils
python-xml
python2.2-xml
python2.2-xmlbase
python2.3-xml
python2.4-libxml2
python2.4-xml
xml-core

...and all of these with 'xsl':

docbook-xsl
libxslt1-python2.3
libxslt1.1
python2.4-libxslt1
xsltproc

What more do I need?

I've done my share of googling here, and have come up empty.
I think that error in the sanitycheck stage may explain this
error when I try to do 'jhbuild build xserver luminocity':

IOError: [Errno 2] No such file or directory: '~/bin/gnome2/opt/share/jhbuild/packagedb.xml'

Any idea which packages I need to install?

[1] - http://live.gnome.org/Luminocity

-- 
Stephen R. Laniel
steve at laniels.org
+(617) 308-5571
http://laniels.org/
PGP key: http://laniels.org/slaniel.key




More information about the ubuntu-users mailing list